Page MenuHomePhabricator

elm: introduce ELM_PART_OVERRIDE_PARTIAL
ClosedPublic

Authored by taxi2se on Nov 30 2017, 12:41 AM.

Details

Summary

ELM_PART_OVERRIDE_PARTIAL replaces ELM_PART_OVERRIDE and
ELM_PART_OVERRIDE_ONLY_ALIASES.
The difference is ELM_PART_OVERRIDE_PARTIAL calls super
ELM_PART_IMPLEMENT when subclass of part is not needed.

Test Plan

Run elementary_test, Part Background, background part is well set.

Run efl.ui.panes/efl.ui.flip, check content is well set.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
taxi2se created this revision.Nov 30 2017, 12:41 AM

ELM_PART_OVERRIDE_ONLY_ALIASES should be removed because no more widget is using it,
but I will remove the macro after D5556 is merged to avoid merge conflict

Rebase the patch

Remove ELM_PART_OVERRIDE_ONLY_ALIASES macro

Jaehyun_Cho requested changes to this revision.Nov 30 2017, 4:23 AM

@taxi2se
Sorry to bother you but I made a mistake when I rebased the code and the commit owner was changed to me.
Please remove the blank line in efl_ui_popup_alert.c and do "arc diff --update D5566" again to create new commit for this patch.
If you do so, you will become the owner of this commit again.
Sorry again..

This revision now requires changes to proceed.Nov 30 2017, 4:23 AM
taxi2se updated this revision to Diff 13271.EditedNov 30 2017, 6:49 PM

Rebase

taxi2se updated this revision to Diff 13273.Nov 30 2017, 7:58 PM

Remove unused internal func

taxi2se retitled this revision from elm: introduce ELM_PART_PARTIAL_OVERRIDE to elm: introduce ELM_PART_OVERRIDE_PARTIAL.Nov 30 2017, 8:06 PM
taxi2se edited the summary of this revision. (Show Details)
jpeg added a comment.EditedDec 1 2017, 12:22 AM

I agree with the concept. If it works and passes make check and all tests, then this is fine, and @Jaehyun_Cho can push.

taxi2se updated this revision to Diff 13289.Dec 3 2017, 9:48 PM

Remove empty space.

Jaehyun_Cho accepted this revision.Dec 3 2017, 11:01 PM
This revision is now accepted and ready to land.Dec 3 2017, 11:01 PM

This patch has been submitted to feature/eo_theme branch.

This revision was automatically updated to reflect the committed changes.
jpeg added a comment.Dec 4 2017, 2:46 AM

nice patch :)

data/elementary/themes/edc/efl/panes.edc
26

oh this is so cool

jpeg reopened this revision.Dec 4 2017, 3:55 AM

It's not in master :)

This revision is now accepted and ready to land.Dec 4 2017, 3:55 AM
This revision was automatically updated to reflect the committed changes.